Apache Struts API Documentation: Class ImageTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class ImageTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.SubmitTag
                              |
                              +--org.apache.struts.taglib.html.ImageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ImageTag
extends SubmitTag

Tag for input fields of type "image".

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Oleg V Alexeev
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `alt` The alternate text for this image.
`protected java.lang.String` | `altKey` The message resources key for the alternate text for this image.
`protected java.lang.String` | `border` The border size around the image.
`protected java.lang.String` | `bundle` The servlet context attribute key for our resources.
`protected static java.util.Locale` | `defaultLocale` The default Locale for our server.
`protected java.lang.String` | `locale` The session attribute key for our locale.
`protected java.lang.String` | `page` The context-relative URI of the image.
`protected java.lang.String` | `pageKey` The message resources key of the context-relative URI of the image.
`protected java.lang.String` | `property` The name attribute for the image button.
`protected java.lang.String` | `src` The URL of this image.
`protected java.lang.String` | `srcKey` The message resources key for the URL of this image.

Fields inherited from class org.apache.struts.taglib.html.SubmitTag
`messages, text, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, disabled, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, readonly, style, styleClass, styleId, tabindex, title`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImageTag()`

Method Summary
`protected java.lang.String` | `alt()` Return the alternate text to be included on this generated element, or `null` if there is no such text.
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getAlt()`
`java.lang.String` | `getAltKey()`
`java.lang.String` | `getBorder()`
`java.lang.String` | `getBundle()`
`java.lang.String` | `getLocale()`
`java.lang.String` | `getPage()`
`java.lang.String` | `getPageKey()`
`java.lang.String` | `getProperty()` Return the property.
`java.lang.String` | `getSrc()`
`java.lang.String` | `getSrcKey()`
`void` | `release()` Release any acquired resources.
`void` | `setAlt(java.lang.String alt)`
`void` | `setAltKey(java.lang.String altKey)`
`void` | `setBorder(java.lang.String border)`
`void` | `setBundle(java.lang.String bundle)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setPage(java.lang.String page)`
`void` | `setPageKey(java.lang.String pageKey)`
`void` | `setProperty(java.lang.String property)` Set the property name.
`void` | `setSrc(java.lang.String src)`
`void` | `setSrcKey(java.lang.String srcKey)`
`protected java.lang.String` | `src()` Return the base source URL that will be rendered in the `src` property for this generated element, or `null` if there is no such URL.

Methods inherited from class org.apache.struts.taglib.html.SubmitTag
`doAfterBody, getValue, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, prepareEventHandlers, prepareFocusEvents, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setDisabled, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### defaultLocale

    protected static final java.util.Locale defaultLocale

  The default Locale for our server.

### alt

    protected java.lang.String alt

  The alternate text for this image.

### altKey

    protected java.lang.String altKey

  The message resources key for the alternate text for this image.

### border

    protected java.lang.String border

  The border size around the image.

### bundle

    protected java.lang.String bundle

  The servlet context attribute key for our resources.

### locale

    protected java.lang.String locale

  The session attribute key for our locale.

### page

    protected java.lang.String page

  The context-relative URI of the image.

### pageKey

    protected java.lang.String pageKey

  The message resources key of the context-relative URI of the image.

### property

    protected java.lang.String property

  The name attribute for the image button.

### src

    protected java.lang.String src

  The URL of this image.

### srcKey

    protected java.lang.String srcKey

  The message resources key for the URL of this image.

Constructor Detail

### ImageTag

    public ImageTag()

Method Detail

### getAlt

    public java.lang.String getAlt()

### setAlt

    public void setAlt(java.lang.String alt)

### getAltKey

    public java.lang.String getAltKey()

### setAltKey

    public void setAltKey(java.lang.String altKey)

### getBorder

    public java.lang.String getBorder()

### setBorder

    public void setBorder(java.lang.String border)

### getBundle

    public java.lang.String getBundle()

### setBundle

    public void setBundle(java.lang.String bundle)

### getLocale

    public java.lang.String getLocale()

### setLocale

    public void setLocale(java.lang.String locale)

### getPage

    public java.lang.String getPage()

### setPage

    public void setPage(java.lang.String page)

### getPageKey

    public java.lang.String getPageKey()

### setPageKey

    public void setPageKey(java.lang.String pageKey)

### getProperty

    public java.lang.String getProperty()

  Description copied from class: `SubmitTag`
  Return the property.
  Overrides:
    `getProperty` in class `SubmitTag`

### setProperty

    public void setProperty(java.lang.String property)

  Description copied from class: `SubmitTag`
  Set the property name.
  Overrides:
    `setProperty` in class `SubmitTag`
  Following copied from class: `org.apache.struts.taglib.html.SubmitTag`
  Parameters:
    `property` - The property name

### getSrc

    public java.lang.String getSrc()

### setSrc

    public void setSrc(java.lang.String src)

### getSrcKey

    public java.lang.String getSrcKey()

### setSrcKey

    public void setSrcKey(java.lang.String srcKey)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag.
  Overrides:
    `doStartTag` in class `SubmitTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag.
  Overrides:
    `doEndTag` in class `SubmitTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.
  Overrides:
    `release` in class `SubmitTag`

### alt

    protected java.lang.String alt()
                            throws javax.servlet.jsp.JspException

  Return the alternate text to be included on this generated element, or `null` if there is no such text.
  Throws:
    `javax.servlet.jsp.JspException` - if an error occurs

### src

    protected java.lang.String src()
                            throws javax.servlet.jsp.JspException

  Return the base source URL that will be rendered in the `src` property for this generated element, or `null` if there is no such URL.
  Throws:
    `javax.servlet.jsp.JspException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation